Skip to main content

POST /api/price-iq/predict

Get the predicted GPU price and its price percentile distribution for a given GPU configuration and geolocation.

Authorization

🔒OAuth2: OAuth2PasswordBearer
Flow type: password
Token URL: token

Request Body

The request body must be in application/json format.
FieldTypeRequiredDescriptionConstraints
gpu_namestringYesGPU name, e.g. A100 PCIE. Must be one of the values returned by /api/price-iq/specs-list.length 1–20
typeintegerYesPricing type. One of: 0 = on-Demand, 1 = Interrupt, 2 = reserved.one of [0, 1, 2]
geolocationstringYesGeolocation, e.g. California, US. Must be one of the values returned by /api/price-iq/specs-list.length 1–40
cpu_platformstringYesCPU platform, e.g. AMD. One of: Intel, AMD, Other.length 1–20
cpu_cores_effectiveintegerNoEffective CPU core count. Defaults to 16.1 ≤ value ≤ 1024
cpu_ram_gbnumberNoCPU RAM in GB. Defaults to 36.1 ≤ value ≤ 1024
ram_gbnumberNoGPU RAM in GB. Defaults to 40.1 ≤ value ≤ 512

Request Example

{
  "gpu_name": "A100 PCIE",
  "type": 0,
  "geolocation": "California, US",
  "cpu_platform": "AMD",
  "cpu_cores_effective": 16,
  "cpu_ram_gb": 64,
  "ram_gb": 40
}

Responses

  • 200: Successful Response
{
    "meta": {
        "code": 0,
        "url": "/api/price-iq/predict",
        "message": "OK",
        "timestamp": 1744201871
    },
    "data": {
        "predicted_price": 1.89,
        "percentile": {
            "gpu_name": "A100 PCIE",
            "type": 0,
            "geolocation": "California, US",
            "cpu_platform": "AMD",
            "stats": {
                "p10": 1.7,
                "p25": 1.79,
                "p50": 1.89,
                "p75": 1.98,
                "p90": 2.08
            }
        }
    }
}
  • 422: Validation Error
{
    "meta": {
        "code": 422,
        "url": "/api/price-iq/predict",
        "message": "gpu_name:Field required",
        "timestamp": 1744289950,
        "args": [],
        "kwargs": {}
    },
    "data": {}
}

GET /api/price-iq/specs-list

Get all supported GPU names, geolocations, pricing types, and CPU platforms accepted by the /api/price-iq/predict endpoint.

Authorization

🔒OAuth2: OAuth2PasswordBearer
Flow type: password
Token URL: token
This endpoint takes no query parameters.

Responses

  • 200: Successful Response
{
    "meta": {
        "code": 0,
        "url": "/api/price-iq/specs-list",
        "message": "OK",
        "timestamp": 1744201871
    },
    "data": {
        "gpu_list": [
            "A100 PCIE",
            "A100 SXM4",
            "H100 NVL",
            "H100 PCIE",
            "H100 SXM"
        ],
        "geolocation_list": [
            "California, US",
            "Virginia, US"
        ],
        "type_list": {
            "0": "on-Demand",
            "1": "Interrupt",
            "2": "reserved"
        },
        "cpu_platform_list": [
            "AMD",
            "Intel",
            "Other"
        ]
    }
}
  • 422: Validation Error
{
    "meta": {
        "code": 422,
        "url": "/api/price-iq/specs-list",
        "message": "Validation error",
        "timestamp": 1744289950,
        "args": [],
        "kwargs": {}
    },
    "data": {}
}